Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.aspects.controller
Class PolicyEnforcementInterceptor

    java.lang.Object
      org.jboss.portal.server.impl.invocation.JBossInterceptor
          org.jboss.portal.core.controller.ControllerInterceptor
              org.jboss.portal.core.aspects.controller.PolicyEnforcementInterceptor

All Implemented Interfaces:
  org.jboss.portal.common.invocation.Interceptor

    public final class PolicyEnforcementInterceptor

extends ControllerInterceptor

This aspect enforces security policy for all commands.

Portal resources should only be accessible to individuals that are entitled to do so. This interceptor makes sure that the requested resource is available to the requesting subject, by utilizing the configured JACC Policy.

Version:
  $LastChangedRevision: 8786 $, $LastChangedDate: 2007-10-28 02:14:48 +0100 (Sun, 28 Oct 2007) $
Author:

  Field Summary
  `protected boolean` | `isTrace` Trace .

  Constructor Summary
  `PolicyEnforcementInterceptor()`

  Method Summary
  `ControllerResponse` | `invoke(ControllerCommand cmd)`

  Methods inherited from class org.jboss.portal.core.controller.ControllerInterceptor
  `invoke`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### isTrace

      protected boolean isTrace

    Trace .

  Constructor Detail

  ### PolicyEnforcementInterceptor

      public PolicyEnforcementInterceptor()

  Method Detail

  ### invoke

      public ControllerResponse invoke(ControllerCommand cmd)
                                throws java.lang.Exception,
                                       org.jboss.portal.common.invocation.InvocationException

    Specified by:
      `invoke` in class `ControllerInterceptor`
    Parameters:
      `cmd` -
    Throws:
      `org.jboss.portal.common.invocation.InvocationException`
      `java.lang.Exception`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD